전체 글 272

locale 설정하기

Error Message Failed to set locale, defaulting to C.UTF-8 Resolve System 에서 사용할 수 있는 locale 정보를 확인한다 [jungyin@dev-oracle-linux8 ~]$ locale -a locale: Cannot set LC_CTYPE to default locale: No such file or directory locale: Cannot set LC_MESSAGES to default locale: No such file or directory locale: Cannot set LC_COLLATE to default locale: No such file or directory C C.utf8 POSIX en_AG en_AU en_AU..

Github - 1. 설치

설치 dnf 를 이용한 설치 DNF 업데이트 [jungyin@dev-oracle-linux8 ~]$ sudo dnf update -y 설치 [jungyin@dev-oracle-linux8 ~]$ sudo dnf install git -y 설치한 git 버젼 확인 [jungyin@dev-oracle-linux8 ~]$ git --version source를 이용한 설치 DNF 업데이트 [jungyin@dev-oracle-linux8 ~]$ sudo dnf update -y [jungyin@dev-oracle-linux8 ~]$ sudo dnf install gettext-devel openssl-devel perl-CPAN perl-devel zlib-devel gcc autoconf -y 파일을 다운로드..

dbeaver - too open, invalid privatekey, invalid privatekey: [B@540

dbeaver 오류 ~ too open invalid privatekey invalid privatekey: [B@540..... 발생 원인 dbeaver는 openssh private key를 지원하지 않으며, pem format을 지원합니다. 즉, ----BEGIN RSA PRIVATE KEY----- 로 시작하는 키를 사용해야 합니다 해결 새로운 키 생성 - 키를 새로 생성할 예정이라면 아래와 같이 생성해해줍니다. ssh-keygen -t rsa -b 2048 -m PEM 기존의 키 변환 - 기존의 키를 그대로 사용하고 싶다면 기존의 키는 백업하고 아래와 같이 변환한 키를 추가로 생성해줍니다, 이 경우에는 구분자로 PEM을 사용해주는것이 좋습니다 ssh-keygen -p -m PEM -f id_rsa

Specification

Specification Spring DATA 에서 DB 쿼리의 조건을 Spec으로 작성해서 Repository 에 적용하거나 몇가지 Spec을 조합해서 사용할 수 있게 도와준다 JPA에서 검색의 조건이 복잡해질때 원하는 조건에 맞춰서 추가할 수 있다 상속 JpaSpecificationExecutor 를 추가로 상속 받아야 한다 Doc https://www.baeldung.com/rest-api-search-language-spring-data-specifications 구현해보기 추가 예정

vue + nginx 배포하기

vue nginx 배포하기 vue 프로젝트 설치 배포할 경로 dir 생성 cd /var/www mkdir vue 프로젝트 설치 git clone {주소} 빌드 cd {레파지토리이름} sudo npm install sudo npm run build nginx 설치 repository 추가 vim /etc/yum.repos.d/nginx.repo [nginx] name=nginx repo baseurl=http://nginx.org/packages/centos/$releasever/$basearch/ gpgcheck=0 enabled=1 설치 yum -y install nginx nginx 설정 변경 vim /etc/nginx/conf.d/default.conf server { listen {포트번호} de..

ERROR: Could not build wheels for cryptography which use PEP 517 and cannot be installed directly

환경 : windows 10 오류 메세지 C:\Program Files (x86)\Microsoft Visual Studio\2019\BuildTools\VC\Tools\MSVC\14.28.29910\bin\HostX86\x64\cl.exe /c /nologo /Ox /W3 /GL /DNDEBUG /MD -Ic:\users\shb22\appdata\local\programs\python\python39\include -Ic:\users\shb22\appdata\local\programs\python\python39\include -IC:\Program Files (x86)\Microsoft Visual Studio\2019\BuildTools\VC\Tools\MSVC\14. 28.29910\include..

Python/Python__Error 2021.04.04 (1)